QGIS Application - Bug report #13829
DB Manager - "Materialized view" issues
2015-11-14 03:43 AM - Paul Kanelli

Status: Closed

Priority: Normal

Assignee: Sebastian Dietrich

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21853
Description

In the DB Manager materialized views are just named "View" (see 'General info/Relation type').

Deleting a view by 'Right Click/Delete' is not possible.

Database Error
An error occured when executed the query:

"materialized_view_xy" is not a view
HINT: Use DROP MATERIALIZED VIEW to remove a materialized view.

Query:
DROP VIEW "public"."materialized_view_xy"

Related issues:
Related to QGIS Application - Feature request # 13697: Add "Refresh materiali... Closed 2015-10-28
Duplicated by QGIS Application - Bug report # 14020: DB Manager and Browser c... Closed 2015-12-20

Associated revisions

Revision 50878114 - 2016-01-27 12:28 AM - Sebastian Dietrich

[DbManager] fetch type of view (materialized or not) and show in info
(refs #13829)

Revision 56000784 - 2016-01-27 12:28 AM - Sebastian Dietrich

[DbManager] allow to delete materialized views

(refs #13829)

History

#1 - 2015-11-14 05:23 AM - Giovanni Manghi
- Category set to DB Manager

- Operating System deleted (Ubuntu)

- OS version deleted (14.04)

#2 - 2015-11-14 10:03 AM - Médéric RIBREUX
Hello,

does this bug is for an Oracle DB or a PostgreSQL one ?

#3 - 2015-11-14 11:31 AM - Paul Kanelli

PostgreSQL/PostGIS, | don't have Oracle in the DB Manager (Ubuntu).

#4 - 2016-01-22 02:36 AM - Paul Kanelli
- Target version set to Version 2.14

#5 - 2016-01-22 11:30 AM - Sebastian Dietrich
- Assignee set to Sebastian Dietrich

- Status changed from Open to In Progress

#6 - 2016-01-22 11:31 AM - Sebastian Dietrich
- Affected QGIS version changed from 2.12.0 to master

#7 - 2016-01-22 03:30 PM - Sebastian Dietrich
- % Done changed from 0 to 100
- Pull Request or Patch supplied changed from No to Yes

For a solution see PR 2714.

#8 - 2016-01-26 03:37 PM - Giuseppe Sucameli
- Status changed from In Progress to Closed
- Resolution set to fixed/implemented

Fixed in changeset commit:560007846a. Many thanks for the patch!

#9 - 2017-10-17 02:23 AM - Jiirgen Fischer

- Subject changed from DB Manager - "Materialised view" issues to DB Manager - "Materialized view" issues

- Description updated
https://github.com/qgis/QGIS/pull/2714

